clang-tools 10.0.0

Public Member Functions | List of all members
clang::find_all_symbols::SymbolReporter Class Referenceabstract

An interface for classes that collect symbols. More...

`#include <SymbolReporter.h>`

Inheritance diagram for clang::find_all_symbols::SymbolReporter:
[legend]

## Public Member Functions
virtual | ~SymbolReporter ()=default
virtual void | reportSymbols (llvm::StringRef FileName, const SymbolInfo::SignalMap &Symbols)=0

## Detailed Description

An interface for classes that collect symbols.

Definition at line 18 of file SymbolReporter.h.

## Constructor & Destructor Documentation

## ◆ ~SymbolReporter()

virtual clang::find_all_symbols::SymbolReporter::~SymbolReporter | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ reportSymbols()

virtual void clang::find_all_symbols::SymbolReporter::reportSymbols | ( | llvm::StringRef | FileName,
|  | const SymbolInfo::SignalMap & | Symbols
| ) |  |
| pure virtual

Referenced by clang::find_all_symbols::FindAllMacros::EndOfMainFile().

The documentation for this class was generated from the following file:

- SymbolReporter.h